PHPExcel_Writer_Excel2007

# Class: PHPExcel_Writer_Excel2007_Rels

Source Location: /PHPExcel/Writer/Excel2007/Rels.php

### Class Overview

    PHPExcel_Writer_Excel2007_WriterPart
       |
       --PHPExcel_Writer_Excel2007_Rels

PHPExcel_Writer_Excel2007_Rels

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- writeDrawingRelationships
- writeHeaderFooterDrawingRelationships
- writeRelationships
- writeWorkbookRelationships
- writeWorksheetRelationships

### Inherited Methods

#### Class: PHPExcel_Writer_Excel2007_WriterPart

PHPExcel_Writer_Excel2007_WriterPart::__construct()
  Set parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()
  Get parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()
  Set parent IWriter object

### Class Details

[line 36]
PHPExcel_Writer_Excel2007_Rels

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method writeDrawingRelationships [line 291]

`string writeDrawingRelationships( [PHPExcel_Worksheet $pWorksheet = null], int &$chartRef, [boolean $includeCharts = FALSE])`

Write drawing relationships to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet | $pWorksheet |
int | &$chartRef | Chart ID
boolean | $includeCharts | Flag indicating if we should write charts

[ Top ]

### method writeHeaderFooterDrawingRelationships [line 355]

`string writeHeaderFooterDrawingRelationships( [PHPExcel_Worksheet $pWorksheet = null])`

Write header/footer drawing relationships to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet | $pWorksheet |

[ Top ]

### method writeRelationships [line 45]

`string writeRelationships( [PHPExcel $pPHPExcel = null])`

Write relationships to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

### method writeWorkbookRelationships [line 111]

`string writeWorkbookRelationships( [PHPExcel $pPHPExcel = null])`

Write workbook relationships to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

### method writeWorksheetRelationships [line 182]

`string writeWorksheetRelationships( [PHPExcel_Worksheet $pWorksheet = null], [int $pWorksheetId = 1], [boolean $includeCharts = FALSE])`

Write worksheet relationships to XML format

Numbering is as follows: rId1 - Drawings rId_hyperlink_x - Hyperlinks

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet | $pWorksheet |
int | $pWorksheetId |
boolean | $includeCharts | Flag indicating if we should write charts

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:34 +0200 by phpDocumentor 1.4.4